Subject: Re: [PATCH net-next v3 01/14] virtchnl: create 'include/linux/intel' and move necessary header files

From: Jakub Kicinski <[email-masked]>
Date: Fri, 22 May 2026 08:40:50 -0700

On Fri, 22 May 2026 13:08:08 +0200 Alexander Lobakin wrote:
> >> There are at least
> >>
> >> include/linux/mlx4, include/linux/mlx5 and include/linux/bnxt.
> >>
> >> Those are per-driver and not per-vendor, but intel ethernet has too many drivers 
> >> to have separate folders for them.
> >>
> >> I just do not think this creates a precedent neccessarily.  
> > 
> > You just said the other ones are for specific drivers.  
> 
> Right, but according to your earlier suggestion they belong to
> include/net, not include/linux.
> 
> My understanding is that they're under include/linux, not include/net as
> mlx5 is not only about Ethernet, but also RDMA etc. The same applies to
> Intel's headers.
> 
> What's your position after all this? Still include/net/intel? This
> commit is about stopping scattering Intel headers all over include/linux
> and set one place for them.

I strongly dislike the idea there are "intel" headers. Header files
are not sorted by vendors. That gives off way too much "Intel's corner
of the kernel" vibe. "net+Intel" is fine, but Intel by itself is too
broad.

So IDK. include/net/intel is fine. So is the current layout. Or stick 
to driver / module by module like other vendors.

> >> Folder structure is for you to decide as a maintainer, but it would be nice to 
> >> have known about such doubts earlier.  
> > 
> > I'd love to know if you any suggestions for improving the process.
> > Otherwise please keep your venting off list.  
> 
> I think Larysa just wanted to say that you disliked this commit after
> the series went through several iterations on IWL and 3 iterations here,
> nothing more. It's not about the overall process.

Intel has a strongly negative reviewer score right now.
IMHO it's not appropriate for y'all to complain about upstream
reviews, or how long it takes to get your patches merged...